<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/transition_container"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:gravity="center"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/logo"
            android:layout_width="@dimen/_30sdp"
            android:layout_height="@dimen/_30sdp"
            android:layout_gravity="start|center"
            android:layout_marginLeft="@dimen/_5sdp"
            android:layout_marginStart="@dimen/_5sdp"
            android:layout_marginTop="@dimen/seekbarsize_small"
            android:src="@drawable/back_icon" />

        <TextView
            android:id="@+id/textView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:gravity="start|center"
            android:paddingTop="@dimen/seekbarsize_small"
            android:textAllCaps="false"
            android:textColor="#000000"
            android:textSize="@dimen/txt15"
            android:textStyle="normal" />
    </LinearLayout>

    <TextView
        android:id="@+id/line"
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_weight="0.02" />


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_gravity="center"
        android:layout_weight="1"
        android:elevation="@dimen/textSize"
        android:gravity="center"
        android:orientation="vertical">


        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight="0.6"
                    android:background="#ffffff"
                    android:orientation="vertical" />

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight="1.2"
                    android:orientation="horizontal">

                    <FrameLayout
                        android:layout_width="0dip"
                        android:layout_height="match_parent"
                        android:layout_gravity="bottom"
                        android:layout_weight="0.3"
                        android:orientation="vertical">

                        <LinearLayout
                            android:id="@+id/linearplacedrop"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:gravity="center_horizontal"
                            android:orientation="vertical"
                            android:paddingTop="@dimen/textSize">

                            <ImageView
                                android:layout_width="@dimen/timerSize"
                                android:layout_height="@dimen/timerSize"
                                android:scaleType="centerCrop"
                                android:src="@mipmap/ic_launcher" />

                            <TextView
                                android:id="@+id/text_drop"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginTop="@dimen/textSizeToSmall"
                                android:gravity="center_horizontal"
                                android:text="@string/comp_drag_drop"
                                android:textColor="#000000"
                                android:textSize="@dimen/textSizeToSmall" />
                        </LinearLayout>

                    </FrameLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="0.35"
                        android:orientation="horizontal" />
                </LinearLayout>


            </LinearLayout>

            <androidx.core.widget.NestedScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:fillViewport="true">

                <LinearLayout
                    android:id="@+id/id"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginBottom="@dimen/buttonHeight"
                        android:layout_weight="1"
                        android:orientation="horizontal">


                        <LinearLayout
                            android:layout_width="0dip"
                            android:layout_height="match_parent"
                            android:layout_weight="0.3"
                            android:orientation="vertical">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="@dimen/buttonHeightLarge"
                                android:layout_gravity="center"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <TextView
                                    android:id="@+id/txt_first_brand_name"
                                    android:layout_width="wrap_content"
                                    android:layout_height="match_parent"
                                    android:gravity="center"
                                    android:paddingRight="5dp"
                                    android:text="@string/app_name"
                                    android:textAllCaps="true"
                                    android:textColor="#000000"
                                    android:textSize="@dimen/textSizeSmall"
                                    android:textStyle="normal" />

                                <ImageView
                                    android:id="@+id/img_first_brand_image"
                                    android:layout_width="@dimen/buttonHeightLarge"
                                    android:layout_height="@dimen/buttonHeightSmall"
                                    android:layout_gravity="center"
                                    android:contentDescription="@string/app_name"
                                    android:scaleType="fitXY"
                                    />


                            </LinearLayout>

                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:background="@color/material_grey300" />

                            <androidx.recyclerview.widget.RecyclerView
                                android:id="@+id/rcv_comparision_view"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content" />
                        </LinearLayout>


                        <LinearLayout
                            android:layout_width="0dip"
                            android:layout_height="match_parent"
                            android:layout_weight="0.6"
                            android:orientation="horizontal">

                            <LinearLayout
                                android:id="@+id/linneardropparent"
                                android:layout_width="0dip"
                                android:layout_height="match_parent"
                                android:layout_gravity="center_horizontal"
                                android:layout_weight="0.3"
                                android:background="#30000000"
                                android:gravity="center_horizontal"
                                android:orientation="vertical">

                            </LinearLayout>

                            <ScrollView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_weight="0.35"
                                android:fillViewport="true">

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:orientation="horizontal">

                                    <HorizontalScrollView
                                        android:layout_width="match_parent"
                                        android:layout_height="match_parent">

                                        <LinearLayout
                                            android:id="@+id/compare_layout"
                                            android:layout_width="0dp"
                                            android:layout_height="match_parent"
                                            android:layout_weight="0.35"
                                            android:orientation="horizontal">

                                        </LinearLayout>
                                    </HorizontalScrollView>
                                </LinearLayout>

                            </ScrollView>
                        </LinearLayout>

                    </LinearLayout>

                </LinearLayout>
            </androidx.core.widget.NestedScrollView>


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom|end"
                android:layout_margin="@dimen/textSize"
                android:orientation="horizontal">


                <!--<HorizontalScrollView-->
                <!--android:layout_width="match_parent"-->
                <!--android:layout_height="match_parent">-->

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rcv_compare_buttons"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:visibility="gone" />

                <!--</HorizontalScrollView>-->

                <HorizontalScrollView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="end">

                    <LinearLayout
                        android:id="@+id/linear_buttons"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="end"
                        android:orientation="horizontal"
                        android:weightSum="1" />

                </HorizontalScrollView>


            </LinearLayout>
        </FrameLayout>

    </LinearLayout>


</LinearLayout>


